package com.socialnetspace.domain;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

@Entity
@IdClass(value=UserNetworkPK.class)
@Table(name = "USER_NETWORK")
public class UserNetwork {

	@Id
	@Column(name="USER_ID")
	private String userId;
	
	@Id
	@Column(name="NETWORK_ID")
	private int networkId;
	
	@Column(name="ACCESS_TOKEN")
	private String accessToken;
	
	@Column(name="ACCESS_SECRET")
	private String accessSecret;
	

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public int getNetworkId() {
		return networkId;
	}

	public void setNetworkId(int networkId) {
		this.networkId = networkId;
	}

	public String getAccessToken() {
		return accessToken;
	}

	public void setAccessToken(String accessToken) {
		this.accessToken = accessToken;
	}

	public String getAccessSecret() {
		return accessSecret;
	}

	public void setAccessSecret(String accessSecret) {
		this.accessSecret = accessSecret;
	}

}
